#!/usr/bin/env node
'use strict';
const argument = process.argv[2];
const argumentSec = process.argv[3];
const moment = require('moment');
const tv = require('../index');
const help = require('../help');
const today = moment();

switch (true) {
  case (argument === 'date'):
    if(argumentSec.charAt(0) === '0') {
      argumentSec = argumentSec.substr(1);
    }
    tv(argumentSec);
  break;
  case (argument === 'tomorrow'):
    const tomorrow = today.add(1, 'days');
    const tomorrowDate = moment(tomorrow).format('M/D/YYYY');
    tv(tomorrowDate);
  break;
  case (argument === 'yesterday'):
    const yesterday = today.add(-1, 'days');
    const yesterdayDate = moment(yesterday).format('M/D/YYYY');
    tv(yesterdayDate);
  break;
  case (argument === 'help'):
    help();
  break;
  default:
    tv();
  break;
}
